import { Customizations } from '../interfaces/customizations';

// Everything OFF
export const defaults: Customizations = {
   // Defaults
   defaultPort: null,
   defaultUser: null,
   defaultDatabase: null,
   dataTypes: [],
   indexTypes: [],
   foreignActions: [],
   operators: ['=', '!=', '>', '<', '>=', '<=', 'IN', 'NOT IN', 'LIKE', 'NOT LIKE', 'BETWEEN', 'IS NULL', 'IS NOT NULL'],
   // Core
   database: false,
   collations: false,
   engines: false,
   connectionSchema: false,
   sslConnection: false,
   sshConnection: false,
   fileConnection: false,
   cancelQueries: false,
   // Tools
   processesList: false,
   usersManagement: false,
   variables: false,
   // Structure
   schemas: false,
   tables: false,
   views: false,
   triggers: false,
   triggerFunctions: false,
   routines: false,
   functions: false,
   schedulers: false,
   // Misc
   elementsWrapper: '',
   stringsWrapper: '"',
   tableAdd: false,
   tableTruncateDisableFKCheck: false,
   tableDdl: false,
   viewAdd: false,
   triggerAdd: false,
   triggerFunctionAdd: false,
   routineAdd: false,
   functionAdd: false,
   schedulerAdd: false,
   databaseEdit: false,
   schemaEdit: false,
   schemaDrop: false,
   schemaExport: false,
   exportByChunks: false,
   schemaImport: false,
   tableSettings: false,
   tableArray: false,
   tableRealCount: false,
   tableDuplicate: false,
   viewSettings: false,
   triggerSettings: false,
   triggerFunctionSettings: false,
   routineSettings: false,
   functionSettings: false,
   schedulerSettings: false,
   indexes: false,
   foreigns: false,
   sortableFields: false,
   unsigned: false,
   nullable: false,
   nullablePrimary: false,
   zerofill: false,
   autoIncrement: false,
   comment: false,
   collation: false,
   definer: false,
   onUpdate: false,
   viewAlgorithm: false,
   viewSqlSecurity: false,
   viewUpdateOption: false,
   procedureDeterministic: false,
   procedureDataAccess: false,
   procedureSql: null,
   procedureContext: false,
   procedureContextValues: [],
   procedureLanguage: false,
   functionDeterministic: false,
   functionDataAccess: false,
   functionSql: null,
   functionContext: false,
   functionLanguage: false,
   triggerSql: null,
   triggerStatementInCreation: false,
   triggerMultipleEvents: false,
   triggerTableInName: false,
   triggerUpdateColumns: false,
   triggerOnlyRename: false,
   triggerEnableDisable: false,
   triggerFunctionSql: null,
   triggerFunctionlanguages: null,
   parametersLength: false,
   languages: null,
   readOnlyMode: false
};
